services:
  api:
    build: ./app/api
    ports: ["3000:3000"]
    volumes: ["./app/api/data:/usr/src/app/data"]
  nginx:
    image: nginx:alpine
    ports: ["8080:80"]
    volumes:
      - ./configs/nginx/spectra.conf:/etc/nginx/conf.d/default.conf:ro
      - ./app/visualizer:/srv/visualizer:ro
    depends_on: [api]
